%ifarch ppc ppc64
%define __arch		ppc
%else
%define __arch		i386
%endif

Summary: CERNLIB
Name: cernlib
Version: 2006
Release: 10.6%{?dist}1d
Source0: localhost:/%{name}-%{version}-bin-%{__arch}.tar.gz
Source1: localhost:/%{name}-%{version}-lib-%{__arch}.tar.gz
Source2: localhost:/%{name}-%{version}-include-%{__arch}.tar.gz
#Source3: localhost:/%{name}-%{version}-share-%{__arch}.tar.gz
NoSource: 0
NoSource: 1
NoSource: 2
#NoSource: 3
URL: http://wwwasd.web.cern.ch/wwwasd/cernlib/
Group: Development/Libraries
License: CERN, INFN
%define __prefix	/cern
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
The CERN Program Library is a large collection of general purpose libraries and modules
maintained and offered in both source and object code form on the CERN central computers. 
The two most popular applications based on CERNLIB are PAW and GEANT 3.21. Most of these 
programs were developed at CERN and are therefore oriented towards the needs of a physics 
research laboratory that is general mathematics, data analysis, detectors simulation, 
data-handling etc... applicable to a wide range of problems. Some tools like cfortran.h 
are developed outside CERN. Some commercial softwares (e.g: NAG etc ...) have also been 
acquired. For any questions about CERNLIB contact Heplib.Support@cern.ch.


%prep
%setup -c %{name}-%{release}
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}

%install
tar -zpxvf $RPM_SOURCE_DIR/%{name}-%{version}-bin-%{__arch}.tar.gz -C $RPM_BUILD_ROOT%{__prefix}
tar -zpxvf $RPM_SOURCE_DIR/%{name}-%{version}-lib-%{__arch}.tar.gz -C $RPM_BUILD_ROOT%{__prefix}
tar -zpxvf $RPM_SOURCE_DIR/%{name}-%{version}-include-%{__arch}.tar.gz -C $RPM_BUILD_ROOT%{__prefix}
#tar -zpxvf $RPM_SOURCE_DIR/%{name}-%{version}-share-%{__arch}.tar.gz -C $RPM_BUILD_ROOT%{__prefix}
find $RPM_BUILD_ROOT -type d | sed -e "s;$RPM_BUILD_ROOT;%dir ;" \
			     | grep -ve '^%dir %{__prefix}$' \
			     | grep -ve '^%dir /$'  \
			     | grep -ve '^%dir $' > list.f
find $RPM_BUILD_ROOT -type f | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f
find $RPM_BUILD_ROOT -type l | sed -e "s;$RPM_BUILD_ROOT;;" >> list.f

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 25 2011 Keisuke Fujii <keisuke.fujii@kek.jp> 2006-10.6hepx1d
- 4th release on MacOS X 10.6 for Intel Macs
- rebuilt with gcc4.5.1 and linked against libgfortran.dylib

* Sat Nov 13 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 2006-10.6hepx1c
- 3rd release on MacOS X 10.6 for Intel Macs
- rebuilt with gcc4.5.1

* Fri Oct 01 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 2006-10.6hepx1b
- 2nd release on MacOS X 10.6 for Intel Macs
- rebuilt with gcc4.5.1

* Sun Mar 07 2010 Keisuke Fujii <keisuke.fujii@kek.jp> 2006-10.6hepx1a
- 1st release on MacOS X 10.6 for PPC Macs with paw++ and nypatchy.

* Thu Aug 14 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2006-10.5hepx1e
- 3rd release on MacOS X 10.5 for PPC Macs with paw++ and nypatchy.

* Fri Aug 8 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2006-10.5hepx1d
- 3rd release on MacOS X 10.5 for Intel Macs with paw++.
- Fixed double-free problem in kmfile.c.

* Mon Aug 4 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2006-10.5hepx1c
- 2nd release on MacOS X 10.5 for Intel Macs with paw++.

* Thu Mar 27 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2006-10.5hepx1b
- 1st release on MacOS X 10.5 for PPC Macs.

* Wed Mar 26 2008 Keisuke Fujii <keisuke.fujii@kek.jp> 2006-10.5hepx1a
- 1st release on MacOS X 10.5 for Intel Macs.

* Wed Apr 18 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 2006-1b
- 2nd release on MacOS X 10.4 for Intel Macs.

* Mon Mar 7 2007 Keisuke Fujii <keisuke.fujii@kek.jp> 2006-1a
- 1st release on MacOS X 10.4 for Intel Macs.

%files -f list.f
%defattr(-,root,wheel)
